%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	CD ripping tool using GTK+ and GStreamer
Name:		sound-juicer
Version:	3.38.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Sound/Utilities
URL:		http://www.burtonini.com/blog/computers/sound-juicer
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libbrasero-media3)
BuildRequires:	pkgconfig(libmusicbrainz5)
BuildRequires:	pkgconfig(libdiscid)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	itstool
BuildRequires:	gstreamer1.0-flac
BuildRequires:	gstreamer1.0-plugins-good
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
Requires:	gsettings-desktop-schemas
Requires:	gstreamer1.0-plugins-bad
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-cdparanoia
Recommends:	gstreamer1.0-vorbis
Recommends:	gstreamer1.0-flac
Recommends:	gstreamer1.0-lame
Recommends:	gstreamer1.0-faac

%description
This is Sound Juicer, a CD ripping tool using GTK+ and GStreamer.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

rm -rf  %{buildroot}/usr/doc/sound-juicer

%files -f %{name}.lang
%doc AUTHORS README.md NEWS TODO
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.SoundJuicer.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/org.gnome.SoundJuicer.*
%{_mandir}/man1/%{name}.1*
%{_datadir}/GConf/gsettings/%{name}.convert
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_metainfodir}/org.gnome.SoundJuicer.metainfo.xml
%{_datadir}/dbus-1/services/org.gnome.SoundJuicer.service


%changelog
* Sat Sep 12 2020 daviddavid <daviddavid> 3.38.0-1.mga8
+ Revision: 1625213
- new version 3.38.0
- switch to meson build system

* Fri Feb 14 2020 umeabot <umeabot> 3.24.0-4.mga8
+ Revision: 1517144
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 3.24.0-3.mga7
+ Revision: 1301113
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Update make macros

* Wed Sep 20 2017 cjw <cjw> 3.24.0-2.mga7
+ Revision: 1156482
- rebuild for new find_lang

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094180
- new version 3.24.0

* Mon Oct 10 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1059934
- new version 3.22.1

* Thu Sep 22 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055258
- new version 3.22.0

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993490
- new version 3.20.0

* Mon Mar 14 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 990490
- new version 3.19.92

* Mon Feb 29 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 980824
- new version 3.19.91

* Mon Feb 15 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 961462
- new version 3.19.90

* Mon Nov 16 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 903541
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883326
- new release

* Tue Sep 01 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 871919
- new version 3.17.91

* Tue Aug 18 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865738
- new version 3.17.90

* Thu Jul 02 2015 fwang <fwang> 3.16.1-2.mga6
+ Revision: 849450
- rebuild for libmusicbrainz5

* Mon Jun 22 2015 ovitters <ovitters> 3.16.1-1.mga6
+ Revision: 838715
- new version 3.16.1

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 743260
- Second Mageia 5 Mass Rebuild

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719203
- new version 3.14.0
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Mon Sep 15 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 676799
- new version 3.13.92
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Sep 01 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 670537
- new version 3.13.91

* Mon Aug 18 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665214
- new version 3.13.90

* Fri May 30 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 627868
- new version 3.12.0

* Fri Apr 04 2014 dams <dams> 3.11.90-1.mga5
+ Revision: 611597
- new version 3.11.90

* Fri Oct 18 2013 umeabot <umeabot> 3.5.0-5.mga4
+ Revision: 518438
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.5.0-4.mga3
+ Revision: 382354
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 malo <malo> 3.5.0-3.mga3
+ Revision: 324473
- update RPM group

* Wed Sep 05 2012 ovitters <ovitters> 3.5.0-2.mga3
+ Revision: 288329
- drop requires on gstreamer1.0-gnomevfs

* Tue Sep 04 2012 ovitters <ovitters> 3.5.0-1.mga3
+ Revision: 288146
- br libmusicbrainz5
- br gstreamer 1.0
- drop merged patch
- new version 3.5.0

* Mon Jun 04 2012 fwang <fwang> 3.4.0-2.mga3
+ Revision: 253918
- use musicbrainz4

* Tue Mar 27 2012 ovitters <ovitters> 3.4.0-1.mga3
+ Revision: 227192
- new version 3.4.0

* Wed Feb 22 2012 wally <wally> 3.3.90-1.mga2
+ Revision: 212239
- new version 3.3.90
- clean BRs
- add patch to fix build with dbus
- drop old patches
- clean .spec
+ ovitters <ovitters>
- clean spec

* Wed Jun 15 2011 dmorgan <dmorgan> 2.32.0-3.mga2
+ Revision: 107969
- Fix buildrequires
- Disable buildrequire
- Enable gtK3 build
  Add fedora patches to fix build
- Enable Gtk3 switch
- Rebuild against new brasero

* Mon Feb 28 2011 eandry <eandry> 2.32.0-1.mga1
+ Revision: 61840
- clean spec
- imported package sound-juicer


* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581737
- update to new version 2.32.0

* Sat Aug 21 2010 Funda Wang <fwang@mandriva.org> 2.31.6-2mdv2011.0
+ Revision: 571609
- rebuild for new brasero

* Thu Aug 05 2010 Götz Waschk <waschk@mandriva.org> 2.31.6-1mdv2011.0
+ Revision: 566128
- new version
- update deps

* Thu Apr 22 2010 Christophe Fergeau <cfergeau@mandriva.com> 2.28.2-2mdv2010.1
+ Revision: 537841
- drop libcdio BR since its licence is incompatible with sound-juicer licence

* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 2.28.2-1mdv2010.1
+ Revision: 529944
- update to new version 2.28.2

  + Christophe Fergeau <cfergeau@mandriva.com>
    - libmusicbrainz3 is actually newer than libmusicbrainz4...
    - build against libmusicbrainz4

* Wed Nov 25 2009 Götz Waschk <waschk@mandriva.org> 2.28.1-1mdv2010.1
+ Revision: 470091
- update to new version 2.28.1

* Tue Sep 22 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 447508
- new version
- drop patch

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.26.1-2mdv2010.0
+ Revision: 427203
- rebuild

* Fri Apr 10 2009 Frederic Crozat <fcrozat@mandriva.com> 2.26.1-1mdv2009.1
+ Revision: 365908
- Release 2.26.1
- Remove patches 1 & 2 (merged upstream)

* Mon Apr 06 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-3mdv2009.1
+ Revision: 364298
- fix musicbrainz crash (b.g.o #578060)

* Sat Mar 28 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-2mdv2009.1
+ Revision: 361991
- fix crash in metadata lookup

* Tue Mar 17 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356852
- update to new version 2.26.0

* Mon Mar 09 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 353251
- new version
- drop patch 1

* Thu Feb 19 2009 Götz Waschk <waschk@mandriva.org> 2.25.3-2mdv2009.1
+ Revision: 342856
- build only with musicbrainz3 (patch from svn)

* Fri Feb 13 2009 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 340147
- new version
- update build deps

* Tue Feb 03 2009 Götz Waschk <waschk@mandriva.org> 2.25.2-1mdv2009.1
+ Revision: 336858
- new version
- drop patch
- fix format strings
- update build deps

* Fri Nov 28 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-2mdv2009.1
+ Revision: 307467
- fix build with musicbrainz3 and enable it

* Tue Nov 04 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 299939
- update to new version 2.25.1

* Sun Sep 21 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286267
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.23.3-1mdv2009.0
+ Revision: 282504
- new version

* Mon Aug 18 2008 Frederic Crozat <fcrozat@mandriva.com> 2.23.2-1mdv2009.0
+ Revision: 273306
- Release 2.23.2

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.1-1mdv2009.0
+ Revision: 263570
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.0-1mdv2009.0
+ Revision: 231410
- new version
- update license

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183291
- new version

* Tue Feb 26 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 175445
- new version

* Thu Feb 14 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-1mdv2008.1
+ Revision: 167796
- new version

* Thu Jan 31 2008 Götz Waschk <waschk@mandriva.org> 2.21.3-1mdv2008.1
+ Revision: 160736
- new version

* Sun Jan 13 2008 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 151052
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jan 01 2008 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 140061
- new version

  + Funda Wang <fwang@mandriva.org>
    - drop old menu
    - no need modifying xdg categories

* Thu Dec 20 2007 Götz Waschk <waschk@mandriva.org> 2.21.0-1mdv2008.1
+ Revision: 135433
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Oct 14 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 98271
- new version
- drop patch

* Fri Oct 12 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-2mdv2008.1
+ Revision: 97338
- Patch0 (SVN): various SVN fixes (include fix for Mdv bug #34635)

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89001
- new version

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.3-1mdv2008.0
+ Revision: 62996
- new version
- replace some deps by suggests

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 2.19.2-1mdv2008.0
+ Revision: 40797
- new version

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 2.19.1-2mdv2008.0
+ Revision: 36200
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.16.4-1mdv2008.0
+ Revision: 14503
- fix omf file list
- drop patches
- new version


* Tue Mar 20 2007 Götz Waschk <waschk@mandriva.org> 2.16.3-3mdv2007.1
+ Revision: 146911
- initialize threads to fix warning on startup

* Sun Mar 18 2007 Pascal Terjan <pterjan@mandriva.org> 2.16.3-2mdv2007.1
+ Revision: 146025
- Fix error message about non existent CD-ROM drive in non UTF-8 locales

* Mon Jan 29 2007 Götz Waschk <waschk@mandriva.org> 2.16.3-1mdv2007.1
+ Revision: 115012
- new version
- fix build with new gnome-doc-utils
- update file list

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.1
+ Revision: 86169
- new version
- Import sound-juicer

* Wed Oct 04 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.5.1-1mdv2007.0
- Release 2.15.5.1
- Remove patch0

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.4-2mdv2007.0
- Rebuild with latest dbus

* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- new macros
- xdg menu
- New release 2.15.4

* Thu Jun 15 2006 Götz Waschk <waschk@mandriva.org> 2.15.3-1mdv2007.0
- New release 2.15.3

* Wed Jun 07 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2.1-1mdv2007.0
- Release 2.15.2.1
- Patch0: fix build

* Mon May 29 2006 Götz Waschk <waschk@mandriva.org> 2.14.4-1mdv2007.0
- New release 2.14.4

* Thu Apr 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.3-1mdk
- Release 2.14.3

* Fri Jan 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.3-3mdk
- Rebuild wtih latest dbus
- disable suggests until urpmi supports them

* Tue Jan 17 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-2mdk
- add some suggested gstreamer plugins

* Thu Nov 24 2005 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdk
- drop patch
- New release 2.12.3

* Wed Oct 12 2005 Götz Waschk <waschk@mandriva.org> 2.12.2-3mdk
- fix buildrequires

* Wed Oct 12 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-2mdk
- Patch0: fix crash when opening preferences (Mdk bug #19128)

* Tue Oct 11 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-1mdk
- Release 2.12.2

* Sat Apr 23 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on Götz Waschk package)

* Tue Apr 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.0-3mdk 
- Patch0 (CVS): fix default profile name (Mdk bug #15005)

* Fri Feb 11 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.6.0-2mdk
- add BuildRequires: libgstreamer-plugins-devel

* Fri Feb 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.0-1mdk
- New release 0.6.0
- Remove patch0 (merged upstream)

* Fri Dec 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.15-1mdk 
- Release 0.5.15
- Remove patches 0 & 1 (merged upstream)
- Patch 0: allow compilation with HAL 0.4.1

* Tue Nov 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.14-3mdk 
- Patch1 (Fedora): improve idle handler safety
- Enable HAL

* Tue Nov 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.14-2mdk 
- Patch0: better error handling (allow to rip some CDs with incomplete
  musicbrainz metadata)

* Thu Oct 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.14-1mdk
- New release 0.5.14
- Remove patch0 (merged upstream)

* Thu Sep 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.12-2mdk
- Patch0 (CVS): various bug fixes

* Fri Jun 18 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.5.12-1mdk
- New release 0.5.12

* Mon Jun 07 2004 Abel Cheung <deaddog@deaddog.org> 0.5.11-2mdk
- Rebuild with new gcc
- Use ImageMagick to convert icons

* Sat May 22 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.5.11-1mdk
- New release 0.5.11

* Thu Apr 22 2004 Götz Waschk <waschk@linux-mandrake.com> 0.5.10.1-5mdk
- fix buildrequires

* Sat Apr 17 2004 Götz Waschk <waschk@linux-mandrake.com> 0.5.10.1-4mdk
- new musicbrainz

* Wed Apr 07 2004 Götz Waschk <waschk@linux-mandrake.com> 0.5.10.1-3mdk
- rebuild for gstreamer 0.8

